Bug 1648903 - Product sync: wrong link to task
Summary: Product sync: wrong link to task
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Released
Assignee: Samir Jha
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-12 12:35 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:18 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:50 UTC
Foreman Issue Tracker 25751 None None None 2018-12-21 18:29:18 UTC

Description Lukáš Hellebrandt 2018-11-12 12:35:19 UTC
Description of problem:
When syncing product content from a Products page, a notification appears saying the sync has started and containing a verbatim HTML of the link to task.

Version-Release number of selected component (if applicable):
Reproduced with 6.5

How reproducible:
Deterministic

Steps to Reproduce:
1. Have some product (happens both to custom products and to RH repos)
2. In the WebUI: Content -> Products -> <select the product> -> Select Action -> Sync Selected

Actual results:
A green notification appears saying: "Product sync has been initiated in the background. Click <a href=foreman_tasks/tasks/...>here</a> to monitor the progress."

Expected results:
The link tag should be interpreted as a link, not shown verbatim.

Additional info:
No traceback

Comment 1 Brad Buckingham 2018-11-13 18:36:15 UTC
Is this a regression from 6.3?

Comment 2 Lukáš Hellebrandt 2018-11-14 10:58:31 UTC
Yes

Comment 6 Samir Jha 2018-12-21 18:29:17 UTC
Created redmine issue http://projects.theforeman.org/issues/25751 from this bug

Comment 8 Lukáš Hellebrandt 2019-01-14 15:32:59 UTC
Verified with Sat 6.5 snap 11.


Used reproducer from OP with RH repo. The message is now the following:

"Product sync has been initiated in the background.
Click to monitor task progress."

...with the second sentence clickable, leading to the task.

Comment 10 errata-xmlrpc 2019-05-14 12:38:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.